> For the complete documentation index, see [llms.txt](https://docs.northcommerce.com/north-commerce/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.northcommerce.com/north-commerce/for-developers/rest-api.md).

# REST API

- [Getting Started](https://docs.northcommerce.com/north-commerce/for-developers/rest-api/getting-started.md): The North Commerce Rest API is a robust api that gives you access to all parts of North Commerce's data on your store.
- [Adding Test Data](https://docs.northcommerce.com/north-commerce/for-developers/rest-api/adding-test-data.md): To get started testing North Commerce you can add test data to your store.
- [Filtering](https://docs.northcommerce.com/north-commerce/for-developers/rest-api/filtering.md): When accessing data via the API, there are three types of relationships that are exposed. They are described below.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.northcommerce.com/north-commerce/for-developers/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
